"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SteamID = void 0;
const axios_1 = require("axios");
const Config_1 = require("./Config");
const LogHelper_1 = require("./LogHelper");
class SteamID {
    static async getPlayerProfileName() {
        let playerName;
        try {
            const response = await axios_1.default.get(`${SteamID.GetPlayerSummariesV0002}?key=${(SteamID.steamWebAPIKey)}&steamids=${(SteamID.steamID64)}`);
            // console.log(response.data.name);
            playerName = response.data.response["players"][0]["personaname"];
        }
        catch (error) {
            SteamID.log.error(error);
            throw error;
        }
        return playerName;
    }
}
exports.SteamID = SteamID;
SteamID.log = LogHelper_1.LogHelper.getLogger('SteamID');
SteamID.config = Config_1.Config.getConfig();
SteamID.steamWebAPIKey = SteamID.config.steam.steam_web_api_key;
SteamID.steamID64 = SteamID.config.steam.steamID64;
SteamID.GetPlayerSummariesV0002 = "https://api.steampowered.com/ISteamUser/GetPlayerSummaries/v0002/";
//# sourceMappingURL=../../src/utils/SteamID.js.map