export declare class SubscriberManager {
    private static readonly cvarEchoRegExp;
    private static readonly config;
    private static readonly port;
    private static readonly log;
    private static readonly subscriberLog;
    private static readonly cvarSubscribersLog;
    private static readonly valueListenersLog;
    private static readonly waitOnOpts;
    private static readonly waitOnOptsImpatient;
    private static socket;
    private static reader;
    /** These subscribers are expecting one or more lines of text, unprompted. They're here to stay for the most part. */
    private static subscribers;
    /** These subscribers are expecting a single line of output as soon as possible (like a cvar value) */
    private static subscribedCvarValues;
    /**
     * These subscribers act much like the cvar subscribers and are removed once dealt with. A regular expression is
     * used to determine if the given console output is meant for the temporary subscriber. If there's a match,
     * the subscriber is removed and the promise is fulfilled with the line output that matched the RegEx.
     */
    private static specialOutputGrabbers;
    static init: () => Promise<void>;
    static begin: () => Promise<void>;
    static patientlyWaitForConsoleSocket: () => Promise<void>;
    static waitForConsoleSocket: (patient: boolean) => Promise<void>;
    /**
     * Write one or many commands to the console.
     * @param commandOrArray a single string or an array of strings to be written to the console
     */
    static sendMessage: (commandOrArray: string | string[]) => void;
    static requestCvarValue: (cvarName: string) => Promise<number>;
    static searchForValue: (command: string | string[], regex: RegExp, isUserDecision: boolean) => Promise<string>;
    static subscribe: (listener: ListenerService) => void;
    static unsubscribe: (listener: ListenerService) => void;
}
