export declare class TimeoutPromise {
    private static readonly config;
    private static readonly consolePromiseTimeoutMs;
    private static readonly consoleUserInputPromiseTimeoutMs;
    /**
     * @see https://italonascimento.github.io/applying-a-timeout-to-your-promises/
     * @param promise a promise to add a timeout to
     * @param descriptiveTaskName some name that will make sense to someone when they're trying to figure out the specific promise that failed and what it was doing
     * @param isUserDecision whether or not this promise is for a user's decision, in which case the promise should wait console_user_input_wait_time seconds (per config.ini)
     * @returns a promise that will be rejected after config.internals.console_output_promise_wait_time milliseconds but won't be rejected if the provided promise resolves or is rejected before then
     */
    static timeoutPromise: <T>(promise: Promise<T>, descriptiveTaskName: string, isUserDecision: boolean) => Promise<T>;
}
export declare class UserDecisionTimeoutException {
    readonly taskName: string;
    readonly timeOut: number;
    constructor(taskName: string, timeOut: number);
}
